@import 'settings';

.MainLogo {
    position: absolute;
    z-index: $zindex-logo;

    .headroom {
        right: auto !important;
    }

    .headroom--scrolled {
        &.headroom--unpinned {
            transition: transform 0.6s !important;
        }

        &.headroom--pinned {
            transition: transform 0.35s !important;
        }
    }
}

body:not(.LogoAnimation--animation-complete) {
    .MainLogo {
        position: fixed;
    }
}

body.LogoAnimation--animation-complete {
    .MainLogo {
        .CircleLogo {
            transition: opacity 0.2s;
        }
    }
}
